const mix = require('laravel-mix');

/*
 |--------------------------------------------------------------------------
 | Mix Asset Management
 |--------------------------------------------------------------------------
 |
 | Mix provides a clean, fluent API for defining some Webpack build steps
 | for your Laravel application. By default, we are compiling the Sass
 | file for the application as well as bundling up all the JS files.
 |
 */

mix.js('resources/js/panel/panel.js', 'public/js')
    .sass('resources/sass/panel/panel.scss', 'public/css')
    .js('resources/js/home/home.js', 'public/js')
    .sass('resources/sass/home/home.scss', 'public/css')
    .copyDirectory('resources/images/home', 'public/images/home')
    .version();
